Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.geom
Class SequenceAlignmentDimension

    java.lang.Object
      |
      +--uk.ac.man.bioinf.sequence.geom.SequenceAlignmentDimension

public class SequenceAlignmentDimension
extends Object

SequenceAlignmentDimension.java Represents a dimension within a SA. It is not a vast amount of use without a point of reference (SequenceAlignmentPoint).

Version:
  $Id: SequenceAlignmentDimension.java,v 1.2 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley
See Also:
  `Created: Mon Mar 27 12:01:25 2000`

Constructor Summary
`SequenceAlignmentDimension()`
`SequenceAlignmentDimension(int w, int h)`
`SequenceAlignmentDimension(SequenceAlignmentDimension dim)`

Method Summary
`boolean` | `equals(Object obj)` Ascertains the equality of a given dimension to this object.
`int` | `getHeight()` Returns the height of this dimension.
`SequenceAlignmentDimension` | `getSize()` Returns the dimensions of this dimension (que????).
`int` | `getWidth()` Returns the width of this dimension.
`void` | `resize(int w, int h)` Allows the resize of the dimension
`void` | `setSize(int w, int h)` Sets the size of the dimension.
`void` | `setSize(SequenceAlignmentDimension dim)` Sets the size of the dimension.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceAlignmentDimension

    public SequenceAlignmentDimension()

### SequenceAlignmentDimension

    public SequenceAlignmentDimension(int w,
                                      int h)

### SequenceAlignmentDimension

    public SequenceAlignmentDimension(SequenceAlignmentDimension dim)

Method Detail

### equals

    public boolean equals(Object obj)

  Ascertains the equality of a given dimension to this object. Overrides the method in Object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the dimension
  Returns:
    the equality of the objects

### setSize

    public void setSize(int w,
                        int h)

  Sets the size of the dimension. This method may further be expanded if listeneers are appropriate, and to include any necessary error checking.

  Parameters:
    `w` - the width of the dimension
    `h` - the height of the dimension

### setSize

    public void setSize(SequenceAlignmentDimension dim)

  Sets the size of the dimension. This method will allow a dimension to be duplicated. Calls setSize(int, int) to save on correction procedures.

  Parameters:
    `dim` - a value of type 'SequenceAlignmentDimension'

### resize

    public void resize(int w,
                       int h)

  Allows the resize of the dimension

  Parameters:
    `w` - the new width of the dimension
    `h` - the new height of the dimension

### getSize

    public SequenceAlignmentDimension getSize()

  Returns the dimensions of this dimension (que????).

  Returns:
    the SA dimension

### getWidth

    public int getWidth()

  Returns the width of this dimension.

  Returns:
    the width

### getHeight

    public int getHeight()

  Returns the height of this dimension.

  Returns:
    the height

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD